
QGIS Application - Bug report #10909

SVG images rendered as raster images

2014-07-17 10:22 PM - Hans de Bruijn

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Symbology

Affected QGIS version:2.4.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19272

Description

When saving a map as pdf, svg markers (Layer properties > Style > SVG Markers) are rendered as raster images. The only way I could

find to solve this problem, was reinstalling 2.2. Valmiera, which works perfectly. HdB

Associated revisions

Revision 7d30a741 - 2014-07-21 02:12 PM - Martin Dobias

Fix #10909 (SVG markers rendered as images in composer)

Revision 9648bc7b - 2014-07-21 02:14 PM - Martin Dobias

Fix #10909 (SVG markers rendered as images in composer)

History

#1 - 2014-07-18 03:11 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

tagging this as a regression, not sure if it is known issue or if it has already been fixed in master.

#2 - 2014-07-18 04:33 AM - Nyall Dawson

- Assignee changed from Hans de Bruijn to Martin Dobias

- Category changed from Map Composer/Printing to Symbology

Martin - I'm guessing this is a MTR regression? I don't think anything changed in composer which could cause this.

#3 - 2014-07-21 05:13 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"7d30a7413b4d7ca678ad8e262bef365d78813248".
